/* File BRMVARS.C Variables and constants for broom dynamical systems */

#ifndef BRMVARS_C
#define BRMVARS_C

#include "brm.h"

const float
   x_pos_min = -2.4,  /* End of cart path (meters) */
   x_pos_max = 2.4,
   x_dot_min = -0.63,
   x_dot_max = 0.63,
   theta_min = -1.57,  /* -pi/2 radians */
   theta_max = 1.57,  /* pi/2 radians */
   theta_low_lim = -0.2094, /* -12 degrees, in radians */
   theta_up_lim = 0.2094,   /*  12 degrees, in radians */
   theta_dot_min = -1.35,
   theta_dot_max = 1.35,
   force_mag = 10.0; /* magnitude of force */

float  x_pos_factor,x_dot_factor,theta_factor,theta_dot_factor;

#endif