// File FFADVSYS.CPP Feedforward Network System
//      with advanced training methods (genetic algorithm,
//      simulated annealing, conjugate gradient.
//               Turbo Vision interface

#include "ffadvset.cpp"

extern "C" {
     #include "ffadv.h"
     }

void handle_system (system_response *control_flag)
  {
   tadvsetapp *Setup_App = new tadvsetapp();
   quit_flag = quit;
   Setup_App->run();
   Setup_App->destroy (Setup_App);
   *control_flag = quit_flag;
   }

int main()
   {
   system_response prog_control = startup;
   const int pop_size = 40,bit_len = 8,vect_len = 2; //These will be changed
   initialize_ga_setup (pop_size,bit_len,vect_len,&ga_setup_rec);
   initialize_ff_setup (&g_ff_setup);
   strcpy (system_name,"Advanced Training");
   display_startup_message();
   do
   {
   handle_system(&prog_control);
   switch (prog_control) {
   case run_net:
	run_ff_network (g_ff_setup);
	break;
   case train_net:
	train_network_from_data (g_ff_setup,
	     &backpropagation_training);
	break;
   case train2_net:
	train_network_from_data (g_ff_setup,
	     &genetic_alg_training);
	break;
   case train3_net:
	train_network_from_data (g_ff_setup,
	     &simulated_annealing_training);
	break;
   case train4_net:
	train_network_from_data (g_ff_setup,
	     &conjugate_gradient_training);
	break;
	}  // end switch
   } while (prog_control != quit);
   return 0;
   } // end main