/*  File pattern.h  Header file for patterns.c  */

#ifndef PATTERN_H
#define PATTERN_H

#include "uttypes.h"

#define NODE_HIGH  1 /* Higher value for nodes; usually 1 */
#define NODE_LOW -1  /* Lower value for nodes; usually either 0 or -1 */
#define NODE_LOW_DISP BLOCK_1   /*  */
#define NODE_HIGH_DISP BLOCK_3  /*  */
#define START_ROW 8
#define START_COL 5
#define MSG_ROW 21
#define MSG_COL 20
#define MAX_NO_OF_PATTERN_NODES 120
#define MAX_NO_OF_PATTERNS 8
#define MAX_NO_OF_PATTERN_ROWS 12
#define MAX_NO_OF_PATTERN_COLS 10

typedef int pattern_vector[MAX_NO_OF_PATTERN_NODES];
typedef struct {
	pattern_vector nodes;
	} pattern;
typedef pattern pattern_array [MAX_NO_OF_PATTERNS];
typedef struct {
	int no_of_rows,no_of_cols,
	no_of_nodes,no_of_patterns;
	} pattern_display_data;

extern pattern_display_data  g_pattern_data;

/* PATTERNS.C  */

short read_patterns (pattern_display_data *disp_data,path_str file_name,
      pattern_array the_patterns);
short get_pattern (pattern_display_data *disp_data,
      pattern_array the_patterns,int *pattern_no);
void display_pattern (pattern_display_data *disp_data,pattern *v,
     int pattern_no);
void edit_pattern (pattern_display_data *disp_data,pattern *v,
     int pattern_no);
void create_pattern (pattern_display_data *disp_data,pattern *v,
     int pattern_no);
void edit_pattern_file (pattern_display_data *disp_data,
     pattern_array the_patterns);
void write_patterns(pattern_display_data *disp_data,path_str file_name,
     pattern_array the_patterns);
void create_new_patterns (pattern_display_data *disp_data,
     pattern_array the_patterns);

#endif